program gen_param_est_table


use enum_mod
use model_params_mod
use latex_tables_mod


   character(len=30), parameter :: uilength_main_file = "freq_output_uilength2.csv"
   character(len=30), parameter :: ddd1_latex_file = "uilength2_ddd1_latex.tex"
   character(len=30), parameter :: ddd2_latex_file = "uilength2_ddd2_latex.tex"

   integer :: unit_int, s, j
   integer, parameter :: n_samples = 10
   real*8, dimension(n_samples*4,4) :: job_freq_matrix
   character(len = 30 ) :: char_ignore

   open( newunit = unit_int, file = uilength_main_file, status = "old " )


   read(unit_int, * )

   do s = 1, n_samples*4

      read(unit_int, * ) char_ignore, (job_freq_matrix(s, j), j = 1, 4 )

   end do

!   close( unit_int )


   !!!!

   call gen_uilength_ddd_table_latex( n_samples, job_freq_matrix, ddd1_latex_file, ddd2_latex_file )




end program
