
clear all
insheet using "/h1/j/js/jse4fp/sipp_fortran_mpi/stationary_dist.csv", comma clear

sum m_job job

gen employment = 0
replace employment = 1 if m_job == 0 & job == 0
replace employment = 2 if m_job == 1 & job == 0
replace employment = 3 if m_job == 0 & job == 1
replace employment = 4 if m_job == 1 & job == 1

label define employment 1 "Both Not Working" 2 "Husband Working" 3 "Wife Working" 4 "Both Working" 
label values employment employment
tab employment

sum m_wage if m_job == 1, detail
sum wage if job == 1, detail

*now try to do some analysis to show why I'm not matching the observed distribution of wages well based on the
gen log_wage=log(wage)
reg log_wage  part_time ur_state c.age##c.age white hs some_college college sex  if m_job ==1 & time == 1

sum assets, detail


