
*this do file combines some categories so that I only have either the probability the husband is working or the probability the wife is working

insheet using "/h1/j/js/jse4fp/sipp_fortran_mpi/freq_output_uimax.csv", comma clear

gen sample_no = round((_n+1)/4 ,1)

sort sample_no
by sample_no : gen ui_no = _n

gen uimax = 100
replace uimax = 200 if ui_no ==2
replace uimax = 300 if ui_no ==3
replace uimax = 400 if ui_no ==4


replace husbandwithjob = husbandwithjob + bothwithjob
replace wifewithjob = wifewithjob + bothwithjob

drop bothwithjob bothwithoutjob


*ylabel(#4, labsize(vlarge))
*ylabel(.65(.10).95, labsize(vlarge))
*husband job loss, P(Husband Working)

twoway (connected husbandwithjob uimax if sample_no ==1, lcolor(blue) mcolor(blue)) (connected husbandwithjob uimax if sample_no == 6, lpattern(dash) lcolor(red) mcolor(red)), ///
ytitle(Probability) ytitle(, size(large) margin(medium)) ylabel(.70(.10)1, labsize(vlarge)) ///
xtitle(UI Benefit Maximum) xtitle(, size(large)) xlabel(100 200 300 400, labsize(large)) ///
title(P( Husband Has a Job )) subtitle("Husband Lost Job, Wife Was Not Working") /// 
legend(order(2 "Households Without Assets" 1 "Households With Assets" ) nostack cols(1) size(medium)) scheme(s1color)

graph export uimax_policy_husband.png, replace



*wife job loss, P(Only Wife Working)

twoway (connected wifewithjob uimax if sample_no ==2, lcolor(blue) mcolor(blue) ) (connected wifewithjob uimax if sample_no == 7, lpattern(dash) lcolor(red) mcolor(red) ), ///
ytitle(Probability) ytitle(, size(large) margin(medium)) ylabel(.40(.10).7, labsize(vlarge)) ///
xtitle(UI Benefit Maximum) xtitle(, size(large)) xlabel(100 200 300 400, labsize(large)) ///
title(P( Wife Has a Job )) subtitle("Wife Lost Job, Husband Was Not Working") /// 
legend(order(2 "Households Without Assets" 1 "Households With Assets" ) nostack cols(1) size(medium)) scheme(s1color)


graph export uimax_policy_wife.png, replace




